#define _C_aff_date

/*
 * ----------------------------------------------------------------------------
 *
 * Fichier	: aff_date.c
 * Langage	: C ANSI
 * Auteur	: F. Boyer
 * Creation	: 25 aout 1997
 * ----------------------------------------------------------------------------
 * Description	:
 *	Programme qui affiche a l'ecran une date apres lecture 
 *      du jour, mois et annee au clavier.
 * ----------------------------------------------------------------------------
 * Interventions
 * >>>>>>>>>>>>>
 * ----------------------------------------------------------------------------
 * Fonctions definies
 * Locales	: 
 * Exportees	: main.
 *
 * ----------------------------------------------------------------------------
 */

/****************************************************************************/
/*------------------- INCLUSION DES INTERFACES SYSTEMES --------------------*/
/****************************************************************************/
#include <stdio.h>

/****************************************************************************/
/*----------------- INCLUSION DES INTERFACES APPLICATIVES ------------------*/
/****************************************************************************/

/****************************************************************************/
/*------------------- CONSTANTES, MACROS & TYPES LOCAUX --------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- SIGNATURES DES FONCTIONS LOCALES ---------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- DEFINITIONS DES VARIABLES LOCALES --------------------*/
/****************************************************************************/

/****************************************************************************/
/*------------------- IMPLANTATION DES FONCTIONS LOCALES -------------------*/
/****************************************************************************/
 
/****************************************************************************/
/*------------------ IMPLANTATION DES FONCTIONS EXPORTEES ------------------*/
/****************************************************************************/
 
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction     : main
 * Resultat     :            Code d'erreur commande.
 * Parametres   :
 * Nom          Type            Role
 *
 * Description  :
 *      Point d'entree du programme "date" obtenu par compilation du 
 * fichier "aff_date.c" (gcc -o aff_date aff_date.c).
 *
 * ----------------------------------------------------------------------------
 */
main()
{
        unsigned short mois;
        unsigned short annee;
        char           jour[12];

        printf("*************************************\n");
        printf("***   Saisie d'une date           ***\n");
        printf("*************************************\n");

	printf("Quel est le jour : (lundi/mardi/etc) ");
	fflush(stdin);
	scanf("%12s", &jour);

	printf("Quel est le mois : (1/2/3/etc) ");
	fflush(stdin);
	scanf("%hu", &mois);

	printf("Quelle est l'annee : (1995 apr ex) ");
	fflush(stdin);
	scanf("%hu", &annee);

	printf("La date saisie est le %s %d %d\n", jour, mois, annee);
	return(0);
}
 
 
