#define _C_signe_produit

/*
 * ----------------------------------------------------------------------------
 *
 * Fichier	: signe_produit.c
 * Langage	: C ANSI
 * Auteur	: F. Boyer
 * Creation	: 25 aout 1997
 * ----------------------------------------------------------------------------
 * Description	:
 *	Programme qui lit deux valeurs entieres signees au clavier
 *      et affiche l'un des 2 messages suivants : le produit des 2
 *      nombres est positifs ou nul, ou bien le produit des 2
 *      nombres est negatif.
 * ----------------------------------------------------------------------------
 * Interventions
 * >>>>>>>>>>>>>
 * ----------------------------------------------------------------------------
 * Fonctions definies
 * Locales	: 
 * Exportees	: main.
 *
 * ----------------------------------------------------------------------------
 */

/****************************************************************************/
/*------------------- INCLUSION DES INTERFACES SYSTEMES --------------------*/
/****************************************************************************/
#include <stdio.h>

/****************************************************************************/
/*----------------- INCLUSION DES INTERFACES APPLICATIVES ------------------*/
/****************************************************************************/

/****************************************************************************/
/*------------------- CONSTANTES, MACROS & TYPES LOCAUX --------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- SIGNATURES DES FONCTIONS LOCALES ---------------------*/
/****************************************************************************/


/****************************************************************************/
/*------------------- DEFINITIONS DES VARIABLES LOCALES --------------------*/
/****************************************************************************/

/****************************************************************************/
/*------------------- IMPLANTATION DES FONCTIONS LOCALES -------------------*/
/****************************************************************************/

 
/****************************************************************************/
/*------------------ IMPLANTATION DES FONCTIONS EXPORTEES ------------------*/
/****************************************************************************/
 
/*
 * ----------------------------------------------------------------------------
 *
 * Fonction     : main
 * Resultat     :           Code d'erreur commande.
 * Parametres   :
 * Nom          Type            Role
 *
 * Description  :
 *      Point d'entree du programme "signe_produit" obtenu par compilation du fichier
 * "signe_produit.c" (gcc -o signe_produit  signe_produit.c).
 *
 * ----------------------------------------------------------------------------
 */
main()
{
        long v1;
        long v2;

        printf("**********************************\n");
        printf("***   Signe d'un produit       ***\n");
        printf("**********************************\n");

	printf("Premiere valeur entiere : ");
	scanf("%ld", &v1);
	printf("Deuxieme valeur entiere : ");
	scanf("%ld", &v2);

	if (((v1 <= 0) && (v2 <= 0)) ||
            ((v1 >= 0) && (v2 >= 0)))
	  printf("Le produit des 2 valeurs est positif ou nul\n");
	else
	  printf("Le produit des 2 valeurs est negatif\n");

	return(0);
}
 
 
